///////////////////////////////////
//  d^dvU  main.c       //
//  2010/12/13  PIC18F2420  C18  //
///////////////////////////////////

#include "global.h"
#define ON_TIME 30      //쎞ԁij

ulong lpcnt;            //dItp̕JE^
uchar blink_flg;

void main(void)
{
    uchar i;

    OSCCON = 0b01100011;    //IV[^4MHz[h
    WDTCONbits.SWDTEN = 1;  //WDT ENABLE
    TRISA = 0b00001111;
    LATA = 0;
    ad_init();              //ADϊ
    TRISB = 0b11011000;
    LATBbits.LATB2 = 1;     //do
    TRISC = 0;
    lcd_init();                     //t\
    timer_init();
    INTCONbits.PEIE = 1;    //ӊ荞݂
    INTCONbits.GIE = 1;     //S荞݂
    while(1){                       //dSW=OFF̊mF
        if(!PORTBbits.RB4) continue;
        Delay10KTCYx(CONFIG_MHZ);   //40mS
        if(PORTBbits.RB4) break;
        ClrWdt();                   //WDT CLEAR
    }
    lpcnt = 1;
    blink_flg = 0;
    mode = NOM;
    timer_start(TIMER_MODE,800);
    timer_start(TIMER_MINUTE,60000);
    while(1){                       //C[v
        ClrWdt();                   //WDT CLEAR
        ad_samp();
        display();
        if(timer_check_start(TIMER_MINUTE)){
            lpcnt++;
            if(lpcnt > ON_TIME) break;
        }
        if(lpcnt == ON_TIME) blink_flg = ~blink_flg;
        else blink_flg = 0;
        if(!PORTBbits.RB4)break;    //dItrv
        if(timer_check_start(TIMER_MODE)){
            if(!PORTBbits.RB3){
                lpcnt = 1;
                mode++;
                if(mode == OVR) mode = NOM;
            }
        }
    }
    LATB = 0;                       //dIt
    while(1);
}
